unit FCComplete;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Setup;

type
  TCheckCompleteForm = class(TForm)
    GBResults: TGroupBox;
    Label1: TLabel;
    EDfore: TEdit;
    Label2: TLabel;
    EST_R: TEdit;
    Label3: TLabel;
    EST_T: TEdit;
    Label4: TLabel;
    EResult: TEdit;
    CBShowAlways: TCheckBox;
    CBActivateReport: TCheckBox;
    OkButton: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CheckCompleteForm: TCheckCompleteForm;

implementation

uses MainUnit, Plan;

{$R *.DFM}

procedure TCheckCompleteForm.FormShow(Sender: TObject);
begin
  CBShowAlways.Checked:=AppSetup.GeneralFlags.FisherResultsShow;
  CBActivateReport.Checked:=AppSetup.GeneralFlags.FisherActivateReport;
end;

procedure TCheckCompleteForm.FormHide(Sender: TObject);
begin
  AppSetup.GeneralFlags.FisherResultsShow:=CBShowAlways.Checked;
  AppSetup.GeneralFlags.FisherActivateReport:=CBActivateReport.Checked;
end;

end.
